This API provides programmatic access to manage Access Keys for projects. Access keys can be used to generate access tokens which grant access to other resource APIs.
Access Keys Management API (v1)
Download OpenAPI description
Overview
License
Languages
Servers
https://account.api.sinch.com
- https://account.api.sinch.com/v1/projects/{projectId}/accessKeys
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://account.api.sinch.com/v1/projects/{projectId}/accessKeys?pageSize=0&pageToken=string' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Response
application/json
{ "accessKeys": [ { … } ], "nextPageToken": "string" }
- https://account.api.sinch.com/v1/projects/{projectId}/accessKeys
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
'https://account.api.sinch.com/v1/projects/{projectId}/accessKeys' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"displayName": "My production Access Key"
}'Response
application/json
{ "accessKey": { "accessKeyId": "string", "displayName": "string", "projectId": "string", "createTime": "2019-08-24T14:15:22Z", "updateTime": "2019-08-24T14:15:22Z" }, "secret": "string" }
- https://account.api.sinch.com/v1/projects/{projectId}/accessKeys/{accessKeyId}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://account.api.sinch.com/v1/projects/{projectId}/accessKeys/{accessKeyId}' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Response
application/json
{ "accessKeyId": "string", "displayName": "string", "projectId": "string", "createTime": "2019-08-24T14:15:22Z", "updateTime": "2019-08-24T14:15:22Z" }
- https://account.api.sinch.com/v1/projects/{projectId}/accessKeys/{accessKeyId}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X DELETE \
'https://account.api.sinch.com/v1/projects/{projectId}/accessKeys/{accessKeyId}' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'- https://account.api.sinch.com/v1/projects/{projectId}/accessKeys/{accessKeyId}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X PATCH \
'https://account.api.sinch.com/v1/projects/{projectId}/accessKeys/{accessKeyId}' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"displayName": "My staging Access Key"
}'Response
application/json
{ "accessKeyId": "string", "displayName": "string", "projectId": "string", "createTime": "2019-08-24T14:15:22Z", "updateTime": "2019-08-24T14:15:22Z" }